Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.oai
Class SDXOAIMetadataFormat

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.oai.OAIObjectImpl
                      fr.gouv.culture.oai.AbstractOAIMetadataFormat
                          fr.gouv.culture.sdx.oai.BasicOAIMetadataFormat
                              fr.gouv.culture.sdx.oai.SDXOAIMetadataFormat

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIMetadataFormat, OAIObject, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class SDXOAIMetadataFormat
extends BasicOAIMetadataFormat

Created by IntelliJ IDEA. User: rpandey Date: May 6, 2003 Time: 3:33:51 PM To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary
`static java.lang.String` | `DEFAULT_SCHEMA_URL` Path to the schema defining this metadata format
`static java.lang.String` | `VERSION_PATH` Sub path of sdx web documentation

Fields inherited from class fr.gouv.culture.sdx.oai.BasicOAIMetadataFormat
`aggregatedFields, ATTRIBUTE_NAME_METADATA_PREFIX, ATTRIBUTE_NAME_NAME, ATTRIBUTE_NAME_NAMESPACE, ATTRIBUTE_NAME_REPEATED, ATTRIBUTE_NAME_ROOT_ELEMENT, ATTRIBUTE_NAME_SCHEMA_URL, ATTRIBUTE_NAME_SDXFIELD, ATTRIBUTE_NAME_SEPARATOR, ATTRIBUTE_VALUE_CONCATENATE, concatenateFields, DEFAULT_CONCATENATED_FIELD_SEPARATOR, ELEMENT_NAME_OAI_FIELD, ELEMENT_NAME_OAI_FIELDS, manager, pipe`

Fields inherited from class fr.gouv.culture.oai.AbstractOAIMetadataFormat
`formatName, metadataMappings, namespace, prefix, rootElement, schemaUrl`

Fields inherited from class fr.gouv.culture.oai.OAIObjectImpl
`_context, logger`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Constructor Summary
`SDXOAIMetadataFormat()` Builds the object and sets default values

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` Configures this object (no pipeline configuration accepted)
`protected void` | `configureFields(org.apache.avalon.framework.configuration.Configuration configuration)` Configures the field mappings
`protected void` | `prepareAndSendElement(java.lang.String origName, java.lang.String value)` Sends and element to the objects consumer respecting the sdx oai metadata format

Methods inherited from class fr.gouv.culture.sdx.oai.BasicOAIMetadataFormat
`aggregateFields, configurePipeline, endMetadataFormatRootElement, getAddRootAttributePipe, getPipeline, sendAggregatedFields, sendElement, service`

Methods inherited from class fr.gouv.culture.oai.AbstractOAIMetadataFormat
`getMappings, getName, getNamespace, getPrefix, getSchemaUrl, setMappings, setName, setNamespace, setPrefix, setSchemaUrl, startMetadataFormatRootElement, toSAX`

Methods inherited from class fr.gouv.culture.oai.OAIObjectImpl
`contextualize, enableLogging, endElement, getContext, sendElement, sendElementContent, startElement`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### VERSION_PATH

    public static final java.lang.String VERSION_PATH

  Sub path of sdx web documentation

  See Also:
    Constant Field Values

### DEFAULT_SCHEMA_URL

    public static final java.lang.String DEFAULT_SCHEMA_URL

  Path to the schema defining this metadata format

  See Also:
    Constant Field Values

Constructor Detail

### SDXOAIMetadataFormat

    public SDXOAIMetadataFormat()

  Builds the object and sets default values

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Configures this object (no pipeline configuration accepted)

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `BasicOAIMetadataFormat`
  Parameters:
    `configuration` -
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### configureFields

    protected void configureFields(org.apache.avalon.framework.configuration.Configuration configuration)
                            throws org.apache.avalon.framework.configuration.ConfigurationException

  Configures the field mappings

  Overrides:
    `configureFields` in class `BasicOAIMetadataFormat`
  Parameters:
    `configuration` -
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### prepareAndSendElement

    protected void prepareAndSendElement(java.lang.String origName,
                                         java.lang.String value)
                                  throws org.xml.sax.SAXException

  Sends and element to the objects consumer respecting the sdx oai metadata format

  Overrides:
    `prepareAndSendElement` in class `AbstractOAIMetadataFormat`
  Parameters:
    `origName` -
    `value` -
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `AbstractOAIMetadataFormat.metadataMappings`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.